Skip to main content
POST
/
api
/
public
/
v1
/
calls
/
bulk-delete
Bulk Delete Calls
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/calls/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "agt_dc8ba113-2",
  "to_number": "+12125551234",
  "from_number": "+12125551235",
  "direction": "outbound"
}
'
{
  "data": {
    "id": "call_ec2318c0-0",
    "agent_id": "agt_dc8ba113-2",
    "status": "queued",
    "from_number": "+12125551235",
    "to_number": "+12125551234",
    "direction": "outbound",
    "created_at": "2026-02-04T20:12:04.403365Z"
  },
  "meta": {
    "request_id": "req_73e786fe-1",
    "timestamp": "2026-02-04T20:12:04.403365Z"
  }
}

Authorizations

Authorization
string
header
required

Your API key. Send in the Authorization header as: Bearer

Body

application/json
ids
string[]
required

List of IDs to delete

Minimum array length: 1

Response

Resource created successfully